# Gifts Gifts ## Gets all of the gifts in the system. - [GET /gifts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/listgifts.md): This method will scan all gifts and and return them to the caller. ## Creates a new gift record that does not already exist. - [POST /gifts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/creategift.md): This method will auto-generate an ID and create a new gift. If an ID is specified for the gift, an error will be thrown. ## Execute Batch Operations - [POST /gifts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified contact_id - [GET /gifts/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/listgiftsbycontactid.md): Returns a list of records with the specified contact_id ## Returns a list of records with the specified donor_id - [GET /gifts/{tenantId}/donor/{donor_id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/listgiftsbydonorid.md): Returns a list of records with the specified donor_id ## Generates an order from a fundraising gift - [POST /gifts/{tenantId}/generateOrder](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/generateorder.md): This method will examine a fundraising gift and generate an appropriate order ## Returns a list of records with the specified master_gift_id - [GET /gifts/{tenantId}/masterGift/{master_gift_id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/listgiftsbymastergiftid.md): Returns a list of records with the specified master_gift_id ## Migrate Donation Orders - [POST /gifts/{tenantId}/migrateDonationOrders](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/migratedonations.md): Will migrate all previous orders for donation products ## Returns a list of records with the specified order_id - [GET /gifts/{tenantId}/order/{order_id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/listgiftsbyorderid.md): Returns a list of records with the specified order_id ## Returns a list of records with the specified organization_id - [GET /gifts/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/listgiftsbyorganizationid.md): Returns a list of records with the specified organization_id ## Returns a list of records with the specified pledge_id - [GET /gifts/{tenantId}/pledge/{pledge_id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/listgiftsbypledgeid.md): Returns a list of records with the specified pledge_id ## Preview Gift Receipt - [POST /gifts/{tenantId}/previewReceipt](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/previewreceipt.md): Sends out a preview of the gift receipt email ## Resend Receipt - [POST /gifts/{tenantId}/process](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/processgift.md): Resends the gift receipt ## Get Public Giving Form Manifest - [GET /gifts/{tenantId}/public/givingFormManifest](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/getpublicgivingformmanifest.md): Public API Endpoint that gets information used to populate the giving form ## Resend Receipt - [POST /gifts/{tenantId}/public/process](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/processgiftpublicly.md): Resends the gift receipt ## Returns a list of records with the specified recurring_gift_id - [GET /gifts/{tenantId}/recurringGift/{recurring_gift_id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/listgiftsbyrecurringgiftid.md): Returns a list of records with the specified recurring_gift_id ## Resend Receipt - [POST /gifts/{tenantId}/resendReceipt/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/resendreceipt.md): Resends the gift receipt ## Searches for gifts using predefined parameters - [POST /gifts/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/searchforgifts.md): Searches for gifts using predefined parameters ## List Donor Soft Credits - [GET /gifts/{tenantId}/softCredits/{donorId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/getsoftcreditsfordonor.md): Lists all the soft credits for a donor ## Returns a gift from the system by its ID. - [DELETE /gifts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/deletegift.md): This method will delete a gift with the specified ID. ## Returns a gift from the system by its ID. - [GET /gifts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/getgift.md): This method will look up a gift by the specified ID and return it back. ## Partially updates a gift with the specified ID. - [PATCH /gifts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/patchgift.md): This method will patch an existing gift with the specified ID, using the HTTP PATCH specification. ## Updates a gift with the specified ID. - [PUT /gifts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/updategift.md): This method will update an existing gift with the specified ID.